Date archives: December 14th, 2009

Dec 11 OSX System Update broke Java, and I had to fix it again

Upgrading from OSX 10.5 Leopard to OSX 10.6 Snow Leopard had some unexpected consequences for the Java installation, basically ditching Java 1.5 and only having Java 1.6. I would think most Java based apps would be fine with an upgrade, but, then again, I’m not a Java man.

I found that Zend Studio had some strange issues when starting up (it didn’t) and the answer was to get the original OSX 10.5 Java 1.5 and put it back where it could be used and do some finagling with settings to let applications use it. It’s all spelled out in this article on how to fix Snow Leopard’s Java Problem

After this past friday’s software update though, it happened again. After a little bit of research and some trial and error, I found out that I had to re-do a part of the previous fix.

Specifically, I had to re-update the symlink for 1.5.0 in /System/Library/Frameworks/JavaVM.framework/Versions so it was pointed at my 1.5.0-leopard folder. I’m not sure if I’ll need to update my other 1.5 related folder to not point to the CurrentJDK.

My /System/Library/Frameworks/JavaVM.framework/Versions directory now looks like this:

1.3        -> 1.3.1
1.3.1
1.4        -> CurrentJDK
1.4.2      -> CurrentJDK
1.5        -> CurrentJDK
1.5.0      -> 1.5.0-leopard
1.5.0-leopard
1.6        -> 1.6.0
1.6.0
A
Current    -> A
CurrentJDK -> 1.6

All of these were updated on Dec 11 when I did the update. So a quick

sudo ln -snf 1.5.0-leopard 1.5.0

And things were good.